Frontend API
Retrieve all messages in a conversation context
cURL
curl --request GET \ --url https://api.wacht.dev/agent/contexts/{id}/messages \ --cookie session_id=
{ "status": 200, "message": "", "data": { "data": [ { "id": "msg_abc123", "message_type": "user", "content": { "type": "text", "text": "Hello, how can you help?" }, "timestamp": "2024-01-15T10:30:00Z", "metadata": {} } ], "has_more": false }, "session": { "id": "123456789012345678", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" }, "errors": [ { "code": "INVALID_CREDENTIALS", "message": "Invalid credentials. Please try again." } ] }
Session-based authentication using cookies
Context ID
Maximum number of messages to return
1 <= x <= 200
Number of messages to skip
x >= 0
Messages retrieved successfully
HTTP status code
200
Response message (empty on success)
""
Show child attributes
Minimal session info included in every response
Error details (null on success)
Was this page helpful?